# Uses of Class
org.eclipse.emf.cdo.eresource.util.EresourceSwitch

Packages that use EresourceSwitch
Package
Description
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.

## Uses of EresourceSwitch in org.eclipse.emf.cdo.eresource.util

Fields in org.eclipse.emf.cdo.eresource.util declared as EresourceSwitch
Modifier and Type
Field
Description
`protected EresourceSwitch<Adapter>`
EresourceAdapterFactory.`modelSwitch`
The switch that delegates to the `createXXX` methods.